Package org.pushingpixels.lafwidget.tabbed

# Class TabPagerManager

java.lang.Object
org.pushingpixels.lafwidget.tabbed.TabPagerManager

public class TabPagerManager extends Object
Tab pager manager.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`TabPagerManager.TabPagerPreviewCallback`
Implementation of the tab preview callback for the tab pager.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTabbedPane`
`currTabbedPane`
The tabbed pane that is currently paged.
`protected int`
`currTabIndex`
Index of the central tab.
`protected JWindow`
`currTabWindow`
Preview window for the central (current) tab.
`protected static TabPagerManager`
`instance`
Singleton instance of the tab pager manager.
`protected boolean`
`isVisible`
Indicates whether the tab pager windows are visible.
`protected int`
`nextTabIndex`
Index of the next tab.
`protected JWindow`
`nextTabWindow`
Preview window for the right (next) tab.
`protected int`
`prevTabIndex`
Index of the previous tab.
`protected JWindow`
`prevTabWindow`
Preview window for the left (previous) tab.

## Method Summary

Modifier and Type
Method
Description
`static TabPagerManager`
`getPager()`
Returns the tab pager instance.
`int`
`hide()`
Hides the tab pager windows.
`boolean`
`isVisible()`
Returns indication whether the tab pager windows are showing.
`void`
`page(boolean isForward)`
Flips the pages in the currently shown tabbed pane.
`void`
`page(JTabbedPane tabbedPane, boolean isForward)`
Flips the pages.
`static void`
`reset()`
Resets the internal caches.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instance

protected static TabPagerManager instance
Singleton instance of the tab pager manager.

### currTabbedPane

protected JTabbedPane currTabbedPane
The tabbed pane that is currently paged.

### currTabIndex

protected int currTabIndex
Index of the central tab.

### nextTabIndex

protected int nextTabIndex
Index of the next tab.

### prevTabIndex

protected int prevTabIndex
Index of the previous tab.

### prevTabWindow

protected JWindow prevTabWindow
Preview window for the left (previous) tab.

### currTabWindow

protected JWindow currTabWindow
Preview window for the central (current) tab.

### nextTabWindow

protected JWindow nextTabWindow
Preview window for the right (next) tab.

### isVisible

protected boolean isVisible
Indicates whether the tab pager windows are visible.

## Method Details

### getPager

public static TabPagerManager getPager()
Returns the tab pager instance.

Returns:
  Tab pager instance.

### page

public void page(JTabbedPane tabbedPane, boolean isForward)
Flips the pages.

Parameters:
  `tabbedPane` - Tabbed pane.
  `isForward` - if `true`, the tabs are flipped one page (tab) forward, if `false`, the tabs are flipped one page (tab) backward.

### page

public void page(boolean isForward)
Flips the pages in the currently shown tabbed pane.

Parameters:
  `isForward` - if `true`, the tabs are flipped one page (tab) forward, if `false`, the tabs are flipped one page (tab) backward.

### isVisible

public boolean isVisible()
Returns indication whether the tab pager windows are showing.

Returns:
  `true` if the tab pager windows are visible, `false` otherwise.

### hide

public int hide()
Hides the tab pager windows.

Returns:
  The index of the center (current) tab.

### reset

public static void reset()
Resets the internal caches.